package com.lemoulinstudio.jnag.apt.model;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation to specify the subclass of the annotated remote interface model,
 * in the case there is only 1.
 *
 * The remote interfaces that are generated on the same side (see {@link HostKind})
 * than the annotated remote interface model are using the subtype for
 * the types of the method parameters instead.
 *
 * @author Vincent Cantin
 */
@Retention(RetentionPolicy.SOURCE)
@Target({ElementType.TYPE})
public @interface ImplementedBy {
  /**
   * The fully qualified name of the subtype.
   */
  public String value();
}
