package com.lemoulinstudio.jnag.apt.model;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * <p>The methods tagged by this annotation with be logged after reception of messages
 * that contains it and before the function is called by the jnagSession.
 * The purpose of this feature is to help users to debug their program.</p>
 *
 * <p>This annotation can annotation some methods of a remote interface, or it can also be used
 * to annotate your remote interface, in which case all your methods of the annotated interface
 * will be logged.</p>
 * 
 * @author Vincent Cantin
 */
@Retention(RetentionPolicy.SOURCE)
@Target({ElementType.TYPE, ElementType.METHOD})
public @interface LogReception {
}
