package com.lemoulinstudio.jnag.apt.model;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This annotation is used on methods that should not be logged.
 * It overright the eventual @LogMessageReception and @LogMethodInvocation
 * annotations on the type of the remote interface.
 *
 * @author Vincent Cantin
 */
@Retention(RetentionPolicy.SOURCE)
@Target({ElementType.METHOD})
public @interface NoLog {
}
